import java.io.File;

/**
 * Der Controller (die Steuerung) eines Labyrinths.
 * 
 * @author Bernd Gramlich
 * @version 2013-02-05
 */
public interface LabyrinthController
{
    /**
     * Gib dem Controller eine neue Praesentation (View).
     */
    void setzeView (LabyrinthView v);

    /**
     * Gehe im Labyrinth einen Schritt geradeaus.
     */
    void gehe ();

    /**
     * Drehe Dich im Labyrinth nach links.
     */
    void dreheNachLinks ();

    /**
     * Drehe Dich im Labyrinth nach rechts.
     */
    void dreheNachRechts ();

    /**
     * Markiere die augenblickliche Position im Labyrinth.
     */
    void markiere ();

    /**
     * Lade das Labyrinth aus der Labyrinthdatei.
     * 
     * @param labyrinthDatei Die Datei, aus der das Labyrinth geladen werden soll.
     */
    void ladeLabyrinth (File labyrinthDatei);
    
    /**
     * Setze die Hellsichtweite (also die Distanz, auf die Farben
     * ihren Echtwert haben) auf den angegebenen Faktor.
     */
    void setzeHellsichtweite (int faktor, int maximum);

    /**
     * Beende das Spiel.
     */
    void ende ();
}
