/**
 * Die View (Praesentation) eines Labyrinths.
 * 
 * @author Bernd Gramlich
 * @version 2013-02-05
 */
public interface LabyrinthView
{ 
    /**
     * Erlaube dem Benutzer, geradeaus zu gehen. (Falls die
     * View einen entsprechenden Button enthaelt, sollte er
     * aktiviert werden.)
     * 
     * @param erlaubt Gehen ist genau bei true erlaubt.
     */
    void erlaubeGehen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, sich im Labyrinth zu bewegen.
     * (Falls die View entsprechende Buttons enthaelt, sollten
     * sie aktiviert werden.)
     * 
     * @param erlaubt Bewegen ist genau bei true erlaubt.
     */
    void erlaubeBewegen (boolean erlaubt);
    
    /**
     * Erlaube dem Benutzer, ein Labyrinth zu laden. (Falls die
     * View einen entsprechenden Button enthaelt, sollte er
     * aktiviert werden.)
     * 
     * @param erlaubt Laden ist genau bei true erlaubt.
     */
    void erlaubeLaden (boolean erlaubt);
    
    /**
     * Setze die Hellsichtweite (also die Distanz, auf die Farben
     * ihren Echtwert haben) auf die angegebene Weite.
     * 
     * @param weite Die gewuenschte Hellsichtweite.
     */
    void setzeHellsichtweite (double weite);
}
